﻿@inject UserAppState UserAppState

@implements IDisposable

@if (UserAppState.AuthState == AuthState.Loading)
{
	<MudProgressCircular Color="Color.Primary" Indeterminate="true" />
}
else if (RequiresAuth && UserAppState.AuthState == AuthState.Authenticating)
{
	<MudProgressCircular Color="Color.Primary" Indeterminate="true" />
}
else if (RequiresAuth && (UserAppState.AuthState == AuthState.ServerNonResponsive || UserAppState.AuthState == AuthState.NoCredentials || UserAppState.AuthState == AuthState.CredentialsFailed))
{
	<MudAlert Severity="Severity.Error" Variant="Variant.Filled" Class="my-1">You Are Not Authenticated</MudAlert>
}
else if (RequiresAuth && RequiresAdmin && !UserAppState.IsAdmin)
{
	<MudAlert Severity="Severity.Error" Variant="Variant.Filled" Class="my-1">You Do Not Have Permission To Access This Page</MudAlert>
}
else if (!IsLoaded)
{
	<MudProgressCircular Color="Color.Primary" Value="@ProgressTo100" />
}
else
{
	@ChildContent
}